Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class DerivedDataCollection

    ru.biosoft.access.DataElementSupport
      |
      +--ru.biosoft.access.AbstractDataCollection
            |
            +--ru.biosoft.access.DerivedDataCollection

Direct Known Subclasses:
  VariablesDataCollection, Module, FilteredDataCollection, TransformedDataCollection

public class DerivedDataCollection
extends AbstractDataCollection

General class for derived data collection.

Subclasses should provide the difference of derived data collection from primary one.

Derived data collection is listener of primary data collection. This implementation provides delegation primary data collection events to listeners of derived data collection.

pending high we do not close primry collection. It is subclasses responcibility.

Constructor Summary
`DerivedDataCollection(DataCollection parent, Properties properties)` Constructor to be used by CollectionFactory.
`DerivedDataCollection(DataCollection parent, String name, DataCollection primaryDC, Properties properties)` Constructs DerivedDataCollection with the parent, name and primary data collection.

Method Summary
`boolean` | `contains(String name)` Calls DataCollection.contains(java.lang.String) method of primary data collection.
`boolean` | `contains(DataElement de)` Calls DataCollection.contains(ru.biosoft.access.DataElement) method of primary data collection.
`DataElement` | `doGet(String name)` Calls DataCollection.get(java.lang.String) method of primary collection
`Class` | `getDataElementType()` Calls DataCollection.getDataElementType() method of primary data collection.
`List` | `getNameList()` Calls DataCollection.getNameList() method of primary data collection
`DataCollection` | `getPrimaryCollection()`
`int` | `getSize()` Calls DataCollection.getSize() method of primary data collection.
`boolean` | `isMutable()` Calls DataCollection.isMutable() method of primary data collection.
`Iterator` | `iterator()` Calls DataCollection.iterator() method of primary data collection
`String` | `toString()` Returns a string representation of the derived data collection

Methods inherited from class ru.biosoft.access.AbstractDataCollection
`addDataCollectionListener, close, get, getCompleteName, getDescription, getInfo, isNotificationEnabled, isPropagationEnabled, propagateElementChanged, propagateElementWillChange, put, release, remove, removeDataCollectionListener, setNotificationEnabled, setPropagationEnabled`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Constructor Detail

### DerivedDataCollection

    public DerivedDataCollection(DataCollection parent, Properties properties)
                            throws java.lang.Exception

  Constructor to be used by CollectionFactory. Obligatory properties are
  - #NAME
  - DataCollection.PRIMARY_COLLECTION
  - DataCollection.FILTER_PROPERTY
  Parameters:
    parent
    properties - Properties for creating data parent .

### DerivedDataCollection

    public DerivedDataCollection(DataCollection parent, String name, DataCollection primaryDC, Properties properties)

  Constructs DerivedDataCollection with the parent, name and primary data collection.
  Parameters:
    parent - parent for this data collection.
    parent - name of this data collection.
    primaryDC - primary data collection.
    properties - Properties to initialise DataCollectionInfo. Can be null.

Method Detail

### contains

    public boolean contains(String name)

  Calls DataCollection.contains(java.lang.String) method of primary data collection.
  Parameters:
    name - specified name of data element
  Returns: true if primary data collection contains element with specified name,
  false otherwise..

### contains

    public boolean contains(DataElement de)

  Calls DataCollection.contains(ru.biosoft.access.DataElement) method of primary data collection.
  Parameters:
    de - specified data element
  Returns: true if primary data collection contains specified element ,
  false otherwise..

### doGet

    public DataElement doGet(String name)
                       throws java.lang.Exception

  Calls DataCollection.get(java.lang.String) method of primary collection
  Parameters:
    name - Name of specified data element.
  Returns: the specified data element from the primary collection.
  Throws:
    Exception - If any error

### getDataElementType

    public Class getDataElementType()

  Calls DataCollection.getDataElementType() method of primary data collection.
  Returns: Type of data elements stored in the primary data collection.

### getNameList

    public List getNameList()

  Calls DataCollection.getNameList() method of primary data collection
  Returns: primary data collection name list.

### getPrimaryCollection

    public DataCollection getPrimaryCollection()

### getSize

    public int getSize()

  Calls DataCollection.getSize() method of primary data collection.
  Returns: Number of data element in primary data collection.

### isMutable

    public boolean isMutable()

  Calls DataCollection.isMutable() method of primary data collection.
  Returns: true if primary data collection is mutable,
  false otherwise..

### iterator

    public Iterator iterator()

  Calls DataCollection.iterator() method of primary data collection
  Returns: an iterator over the data elements in primary collection.

### toString

    public String toString()

  Returns a string representation of the derived data collection
  Returns: string representation of the derived data collection

Association Links

to Class ru.biosoft.access.DataCollection

  Primary collection.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM